<!--Jana Balkovicová-->
<!--xbalko01@stud.fit.vutbr.cz-->
<!--ESP8266: snímání teploty (IoT, WiFi AP pro mobilní telefon), IMP 2018-->
<!--original-->
<!--last edited: 27.12.2018-->

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui, viewport-fit=cover">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <link rel="stylesheet" type="text/css" href="css/materialize.min.css"/>
    <link rel="stylesheet" type="text/css" href="fonts/iconfont/material-icons.css"/>

    <script type="text/javascript" src="js/materialize.min.js"></script>
    <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>

</head>
<body class="grey lighten-4">
<nav>
    <div class="nav-wrapper black">
        <span class="brand-logo center white-text" style="font-weight: bold">thermometer</span>
    </div>
</nav>

<div class="container">
    <div class="row" style="margin-top: 60px">
        <div class="col s12 center">
            <div class="card">
                <div class="card-content">
                    <span class="card-title">Current temperature</span>
                    <p id="tempC" style="font-size: 60px; border-bottom: 1px solid black"></p>
                    <p id="tempF" style="font-size: 20px"></p>
                </div>
            </div>
        </div>
    </div>
    <div style="position: absolute; left: 25%; right: 25%; bottom: 160px;">
        <a href="current.html" class="btn white black-text waves-effect waves-block">HISTORY</a>
    </div>
    <div style="position: absolute; left: 25%; right: 25%; bottom: 110px;">
        <a href="settings.html" class="btn white black-text waves-effect waves-block">SET INTERVAL</a>
    </div>
    <div style="position: absolute; left: 25%; right: 25%; bottom: 60px;">
        <a class="btn white-text black waves-effect waves-light waves-block" style="font-weight: bold;" onclick="getTemperature()">REFRESH</a>
    </div>
</div>
<script type="text/javascript" src="js/app.js"></script>
<script>
    $(document).ready(function () {
        getTemperature();
        $('#tempC').change(updateTempF());
    });

    function updateTempF() {
        let tempC = parseFloat($('#tempC').text());
        let tempF = celsiusToFarhenheit(tempC).toFixed(2);
        $('#tempF').text(tempF + "°F");
    }

    function getTemperature() {
        $.get("http://192.168.4.1/", function(data) {
            $('#tempC').text(data.temperature + '°C').change(updateTempF());
        });
    }
</script>
</body>
</html>